| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Variables
Output Message Support

## Variables
const | DataProvider::MSG_Async = "ASYNC"
| Asynchronous output type, output can happen any time.
const | DataProvider::MSG_None = "NONE"
const | DataProvider::MSG_Sync = "SYNC"
| Synchronous output type, an output message is expected after each observed event.

## Detailed Description

These constants describe the data provider's support for output messages, if any, and the relationship to observed events, if any.

Since
  DataProvider 2.5

## Variable Documentation

## ◆ MSG_Async

const DataProvider::MSG_Async = "ASYNC"

Asynchronous output type, output can happen any time.

Input (i.e. observed events) may not be related or supported

## ◆ MSG_None

const DataProvider::MSG_None = "NONE"

No output type The data provider does not support output messages

## ◆ MSG_Sync

const DataProvider::MSG_Sync = "SYNC"

Synchronous output type, an output message is expected after each observed event.

The data provider supports output messages, and an output message is expected after each input message.

This can be used to support the server-side request-response API integration pattern